summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Schweizer <genstef@gentoo.org>2006-06-26 09:10:46 +0000
committerStefan Schweizer <genstef@gentoo.org>2006-06-26 09:10:46 +0000
commit69fe3917a23ba61353e6a937046585aae6054c60 (patch)
treef0ee40bf56e409f18344af1f18df3db8c4432dc4 /net-misc/vde/files
parentAdd patch to fix vbi decoding with kernels 2.6.16 and greater. Thanks to Sir ... (diff)
downloadgentoo-2-69fe3917a23ba61353e6a937046585aae6054c60.tar.gz
gentoo-2-69fe3917a23ba61353e6a937046585aae6054c60.tar.bz2
gentoo-2-69fe3917a23ba61353e6a937046585aae6054c60.zip
Take over maintainer and version bump thanks to Lorenzo Grandi <popposoft@gmail.com> in bug 113554 also allows to set a group in the init script, thanks to Jean-François Richard <jean-francois@richard.name> in bug 113482 and works with qemu 0.8, thanks to Tim Redman <tredman1@tampabay.rr.com> and Nico Baggus <mlspamcb@noci.xs4all.nl> in bug 116840, big thanks to Rob M. (Adamant) <thehandoftyr@gmail.com> to notify me of this one in IRC #gentoo-dev-help.
(Portage version: 2.1.1_pre1-r2)
Diffstat (limited to 'net-misc/vde/files')
-rw-r--r--net-misc/vde/files/digest-vde-2.0.23
-rw-r--r--net-misc/vde/files/vde.conf7
-rw-r--r--net-misc/vde/files/vde.init26
3 files changed, 36 insertions, 0 deletions
diff --git a/net-misc/vde/files/digest-vde-2.0.2 b/net-misc/vde/files/digest-vde-2.0.2
new file mode 100644
index 000000000000..8e11ac9563ab
--- /dev/null
+++ b/net-misc/vde/files/digest-vde-2.0.2
@@ -0,0 +1,3 @@
+MD5 d97a8dbc72942c57542f50322b538a48 vde-2.0.2.tar.bz2 382162
+RMD160 c15ef9f3743538c2dd1bd0ba99c8078741302100 vde-2.0.2.tar.bz2 382162
+SHA256 05b473815f9706387a3c5eaeb4da2e492f624e0b7783432179454f9d69bb973c vde-2.0.2.tar.bz2 382162
diff --git a/net-misc/vde/files/vde.conf b/net-misc/vde/files/vde.conf
new file mode 100644
index 000000000000..5dd3cde90b0b
--- /dev/null
+++ b/net-misc/vde/files/vde.conf
@@ -0,0 +1,7 @@
+# load the tun module
+VDE_MODPROBE_TUN="yes"
+# virtual tap networking device to be used for vde
+VDE_TAP="tap0"
+# mode and group for the socket
+VDE_SOCK_CHMOD="770"
+VDE_SOCK_CHOWN=":qemu"
diff --git a/net-misc/vde/files/vde.init b/net-misc/vde/files/vde.init
new file mode 100644
index 000000000000..0f55d5805c29
--- /dev/null
+++ b/net-misc/vde/files/vde.init
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/vde/files/vde.init,v 1.1 2006/06/26 09:10:46 genstef Exp $
+
+depend() {
+ before net.${VDE_TAP}
+}
+
+
+start() {
+ ebegin "Starting vde"
+ [ "${VDE_MODPROBE_TUN}" == "yes" ] && modprobe tun
+ start-stop-daemon --start --quiet \
+ --exec /usr/bin/vde_switch -- -tap ${VDE_TAP} -daemon
+ chmod -R ${VDE_SOCK_CHMOD} /var/run/vde.ctl
+ chown -R ${VDE_SOCK_CHOWN} /var/run/vde.ctl
+ eend $? "Failed to start vde"
+}
+
+stop() {
+ ebegin "Stopping vde"
+ start-stop-daemon --stop --quiet --exec /usr/bin/vde_switch
+ [ "${VDE_MODPROBE_TUN}" == "yes" ] && modprobe -r tun
+ eend $? "Failed to stop vde"
+}